Bug 541664 - Merge Review: perl-Test-Pod - Perl module for checking for POD errors in files
Merge Review: perl-Test-Pod - Perl module for checking for POD errors in files
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-26 11:49 EST by Marcela Mašláňová
Modified: 2010-09-03 05:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-10 06:09:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Marcela Mašláňová 2009-11-26 11:49:15 EST
SRPM: http://mmaslano.fedorapeople.org/MergeReview/perl-Test-Pod-1.40-1.fc13.src.rpm
Spec: http://mmaslano.fedorapeople.org/MergeReview/perl-Test-Pod.spec
Description: Perl module for checking for POD errors in files
Comment 1 Parag AN(पराग) 2009-11-27 04:32:52 EST
I wonder how can this package got missed at time of FC-6 when all core packages submitted for their merge-reviews.
Comment 2 Parag AN(पराग) 2009-12-09 01:06:38 EST
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1863816
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
1d833844267dfbb01880b7e0112e325e6ae992b1  Test-Pod-1.40.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=12, Tests=22,  1 wallclock secs ( 0.05 usr  0.01 sys +  0.56 cusr  0.06 csys =  0.68 CPU)
+ Package  perl-Test-Pod-1.40-1.fc13.noarch =>
Provides: perl(Test::Pod) = 1.40 perl(Test::Pod::_parser)
Requires: perl >= 0:5.008 perl(File::Spec) perl(Test::Builder) perl(base) perl(strict)

+ Not a GUI application

Should:
1) Correct license is "GPLv2 or Artistic 2.0"

APPROVED.
Comment 3 Marcela Mašláňová 2009-12-10 06:09:12 EST
Thanks for your review.
Comment 4 Mark Chappell 2010-09-03 04:25:13 EDT
Package Change Request
======================
Package Name: perl-Test-Pod
New Branches: EL-6
Owners: tremble iarnell spot

Yet another some arches only perl package.
Comment 5 Mark Chappell 2010-09-03 05:47:27 EDT
No it's not, it's just a version issue.

Note You need to log in before you can comment on or make changes to this bug.